Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenDiagramElementTarget

All Superinterfaces:
  EObject, GenAuditable, GenMeasurable, GenRuleTarget, Notifier

All Known Implementing Classes:
  GenDiagramElementTargetImpl

public interface GenDiagramElementTarget
extends GenAuditable, GenMeasurable

A representation of the model object 'Gen Diagram Element Target'. Target for rules applied on diagram notation model selectively, for specific visualized element

The following features are supported:

- `Element`

See Also:
  `GMFGenPackage.getGenDiagramElementTarget()`
** Generated **
Model:

Method Summary
`EList` `getElement()` Returns the value of the 'Element' reference list.

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenAuditable
`getClientContextID, getTargetClass, getTargetClassModelQualifiedName`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenRuleTarget
`getContext`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getElement

    public EList getElement()

  Returns the value of the 'Element' reference list. The list contents are of type `GenCommonBase`.

  If the meaning of the 'Element' reference isn't clear, there really should be more of a description here...

  Targeted visualized element

  Returns:
    the value of the 'Element' reference list.
  See Also:
    `GMFGenPackage.getGenDiagramElementTarget_Element()`
  ** Generated **
  Model:
    type="org.eclipse.gmf.codegen.gmfgen.GenCommonBase" required="true" annotation="http://www.eclipse.org/gmf/2005/constraints ocl='element <> null and element->size() > 1 implies element->forAll(oclIsKindOf(GenNode))' description='Multiple diagram elements must be GenNode type conformant'"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.